Subject: bug#29905: closed (Re: bug#29905: No icons in Krita)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 03 Jan 2018 17:32:02 +0000

Your bug report

#29905: No icons in Krita

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29905: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29905
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#29905: No icons in Krita
From: Leo Famulari <[email-masked]>
To: Marius Bakke <[email-masked]>
Cc: Ricardo Wurmus <[email-masked]>, [email-masked]
Date: Wed, 3 Jan 2018 12:31:14 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, Jan 03, 2018 at 04:57:28PM +0100, Marius Bakke wrote:
> Leo Famulari <[email-masked]> writes:
> 
> > On Mon, Jan 01, 2018 at 04:55:34PM +0100, Marius Bakke wrote:
> >> Marius Bakke <[email-masked]> writes:
> >> 
> >> > Ricardo Wurmus <[email-masked]> writes:
> >> >> It may require wrapping as in commit
> >> >> 9cc51d16cb22f8a0c50fe81c98abb3b9108db9ff.  Before this commit librecad
> >> >> would not be able to render its icons as it had no runtime support for
> >> >> plugins provided by qtsvg, which are accessed via QT_PLUGIN_PATH.
> >> >
> >> > It looks like propagating qtsvg would work too (which adds a search path
> >> > for QT_PLUGIN_PATH).  Maybe we should do that on packages that installs
> >> > icons as SVG files?
> >> 
> >> Leo: Does installing qtsvg into your profile fix the problem?
> >
> > Both options work. Which do you think is the better one?
> 
> Thanks for confirming.  That means this issue is actually a duplicate of
> <https://bugs.gnu.org/22138>.
> 
> I think wrapping Krita is better "for now", although propagating qtsvg
> somewhere could be a more general workaround.
> 
> We should fix that long-standing bug though...

Okay, I pushed the wrapper as 990e93fce16a83e1603b9ec28123ec3edc7ea787.

Subject: No icons in Krita
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Fri, 29 Dec 2017 20:37:01 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I installed Krita, hicolor-icon-theme, adwaita-icon-theme, and
oxygens-icons into my profile on a Debian system.

Krita starts, and it can open files, but there are no icons in the Krita
toolbox.